autofs-5.1.2 - add the mount requestor's pid to pending_args

From: Lars R. Damerow <lars@pixar.com>

This will make it easier to log more information about the requesting
process as the mount request proceeds.

Signed-off-by: Lars R. Damerow <lars@pixar.com>
Signed-off-by: Ian Kent <raven@themaw.net>
---
 CHANGELOG           |    1 +
 daemon/direct.c     |    1 +
 daemon/indirect.c   |    1 +
 include/automount.h |    1 +
 4 files changed, 4 insertions(+)

diff --git a/CHANGELOG b/CHANGELOG
index a456146..cf9b62c 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -49,6 +49,7 @@ xx/xx/2016 autofs-5.1.3
 - handle amd cache option all in amd type auto mounts.
 - fix bogus check in expire_cleanup().
 - delay submount exit for amd submounts.
+- add the mount requestor's pid to pending_args.
 
 15/06/2016 autofs-5.1.2
 =======================
diff --git a/daemon/direct.c b/daemon/direct.c
index 7a8d309..33faaea 100644
--- a/daemon/direct.c
+++ b/daemon/direct.c
@@ -1462,6 +1462,7 @@ int handle_packet_missing_direct(struct autofs_point *ap, autofs_packet_missing_
 	mt->type = NFY_MOUNT;
 	mt->uid = pkt->uid;
 	mt->gid = pkt->gid;
+	mt->pid = pkt->pid;
 	mt->wait_queue_token = pkt->wait_queue_token;
 
 	status = pthread_create(&thid, &th_attr_detached, do_mount_direct, mt);
diff --git a/daemon/indirect.c b/daemon/indirect.c
index 72a23c3..0db2749 100644
--- a/daemon/indirect.c
+++ b/daemon/indirect.c
@@ -857,6 +857,7 @@ int handle_packet_missing_indirect(struct autofs_point *ap, autofs_packet_missin
 	mt->dev = pkt->dev;
 	mt->uid = pkt->uid;
 	mt->gid = pkt->gid;
+	mt->pid = pkt->pid;
 	mt->wait_queue_token = pkt->wait_queue_token;
 
 	status = pthread_create(&thid, &th_attr_detached, do_mount_indirect, mt);
diff --git a/include/automount.h b/include/automount.h
index 1d378c2..58c45a9 100644
--- a/include/automount.h
+++ b/include/automount.h
@@ -427,6 +427,7 @@ struct pending_args {
 	unsigned int len;		/* Name field len */
 	uid_t uid;			/* uid of requester */
 	gid_t gid;			/* gid of requester */
+	pid_t pid;			/* pid of requestor */
 	unsigned long wait_queue_token;	/* Associated kernel wait token */
 };
 
